> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Event by ID

> Given an event ID, returns a specific event definition in a given portal.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['business-intelligence']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/reporting-v2.json GET /reports/v2/events/{id}
openapi: 3.0.0
info:
  title: Reporting API v2
  version: 2.0.0
  description: >-
    Use the reporting API to export analytics and reporting data from HubSpot.
    Primarily used for connecting HubSpot metrics to metrics stored in other
    business intelligence tools.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /reports/v2/events/{id}:
    get:
      summary: Get Event by ID
      description: >-
        Given an event ID, returns a specific event definition in a given
        portal.
      operationId: getEventById
      parameters:
        - name: id
          in: path
          required: true
          description: The ID of the specific event you're looking to pull.
          schema:
            type: string
        - name: includeDeletes
          in: query
          description: If specified as true, will return a deleted event.
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: Event retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Event'
        default:
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Event:
      type: object
      properties:
        id:
          type: string
          description: The event ID
        name:
          type: string
          description: The event name
        label:
          type: string
          description: The event label
        status:
          type: string
          description: The event status
      required:
        - id
        - status
    Error:
      type: object
      properties:
        category:
          type: string
          description: The error category
        correlationId:
          type: string
          description: A unique identifier for the request
        message:
          type: string
          description: A human readable message describing the error
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
        errors:
          type: array
          description: Further information about the error
          items:
            $ref: '#/components/schemas/ErrorDetail'
        context:
          type: object
          description: Context about the error condition
        links:
          type: object
          description: A map of link names to associated URIs
      required:
        - category
        - correlationId
        - message
    ErrorDetail:
      type: object
      properties:
        message:
          type: string
          description: A human readable message describing the error
        in:
          type: string
          description: The name of the field or parameter in which the error was found
        code:
          type: string
          description: The status code associated with the error detail
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
        context:
          type: object
          description: Context about the error condition
      required:
        - message

````